desync(1)

NAME
desync-cat - Stream a blob to stdout or a file-like object

SYNOPSIS
desync cat <index> [<output>] [flags]

DESCRIPTION
Stream a blob to stdout or a file-like object, optionally seeking and limiting the read length.

Unlike extract, this supports output to FIFOs, named pipes, and other non-seekable destinations.

This is inherently slower than extract as while multiple chunks can be retrieved concurrently, writing to stdout cannot be parallelized.

Use '-' to read the index from STDIN.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-c, --cache=""
    store to be used as cache

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for cat

-l, --length=0
    number of bytes to read (0 reads to the end)

-o, --offset=0
    offset in bytes to seek to before reading

-s, --store=[]
    source store(s)

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync cat -s http://192.168.1.1/ file.caibx | grep something
      desync cat -s /path/to/store -o 1048576 -l 4096 file.caibx slice.bin

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra